# Redmi 4X (santoni)

!!! warning "注意！"

    以下内容凡涉及官方固件/工具时，均采用{==国行版==}

## 准备

- Android 调试桥 (adb): [Download](https://developer.android.com/studio/releases/platform-tools?hl=zh-cn)
- Google USB Driver: [Download](https://developer.android.com/studio/run/win-usb)

## 刷入官方固件/救砖 - Fastboot 线刷

-  [Redmi 4X 官方固件](https://xiaomirom.com/rom/redmi-4x-santoni-china-fastboot-recovery-rom/#%E4%B8%8B%E8%BD%BD-%E7%BA%A2%E7%B1%B3-4x4-%E7%A8%B3%E5%AE%9A%E7%89%88-fastboot-%E7%BA%BF%E5%88%B7%E5%8C%85)
- [小米刷机工具 MiFlash (含教程步骤)](https://xiaomirom.com/download-xiaomi-flash-tool-miflash/)

## 解 BootLoader 锁

- [官方解锁工具](https://www.miui.com/unlock/index.html)
- [官方解锁工具(历史版本)](https://miuiver.com/miunlock/)

!!! tip

    如果在 MIFlash 不小心重新锁上了 BootLoader,并且无法通过正常方法解锁,可以尝试官方解锁工具 `ver.5.5.224.24`

## 刷入第三方 Recovery

- 进入 Fastboot: 音量减 + 电源
- [下载第三方 Recovery](https://sourceforge.net/projects/jabiyeff-build/files/Recovery/)，推荐 `OrangeFox-R11.1_5-santoni-27.02.22`
- 解压
- 在 adb 所在目录启动 Terminal
- 执行：

  ``` powershell
  .\fastboot flash recovery <real path>\OrangeFox-R11.1_5-santoni-27.02.22\recovery.img
  ```

- 进入 Recovery:音量加 + 电源

## 刷入第三方 ROM: VoltageOS 13

- 进入 Recovery: 音量加 + 电源
- 清除以下内容：

    * Dalvik / ART 缓存
    * Cache
    * System
    * Vendor
    * Data {==注意：记得格式化 Data 分区==}

- 刷入最新官方修补固件 (主要更新 BootLoader): [下载 (注意选择国行)](https://xiaomifirmwareupdater.com/archive/firmware/santoni/)
- 刷入 VoltageOS +  {==Gapps (本地备份)==}
- 清除 Dalvik / ART 缓存, Cache & Data {==注意：记得格式化 Data 分区==}
- 重启

## “查找手机存储损坏，您的手机处于不安全的状态”

### 原因

从第三方 ROM 线刷回官方固件时有一定可能发生该问题，可能是因为第三方 ROM 修改了 `persist 镜像`

### 影响

小米账号登录，WiFi，蓝牙等受限

### 修复

- 下载 Redmi 4X 官方固件
- 刷入第三方 Recovery
- 解压Redmi 4X 官方固件，在 `images` 目录下找到 `persist.img` ，复制到手机根目录
- 在 Recovery 中，点击 `persist.img` ，选择`persist 镜像`，安装
- 重新刷入官方固件

## 碎碎念

不会有人重重复复试了几次都不成功只是因为忘记格式化 Data 分区吧...

不会有人从第三方 ROM 线刷回官方固件时，忘了将MIFlash默认的“全部删除并lock”改掉，然后面临BL被锁还登不上小米账号，没法通过正常方法解锁这么倒霉吧...